using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FakeBank_DAL.Domains
{
    public class Transaction
    {

        public Transaction()
        {
            Comptes = new List<Compte>();
        }

        public int TransactionId { get; set; }
        public decimal Montant{ get; set; }
        public string Sens { get; set; }
        public DateTime DateTransaction { get; set; }
        public virtual List<Compte> Comptes { get; set; }


        public void addCompte(Compte cmp)
        {
            if (Comptes.Count < 2)
                Comptes.Add(cmp);

        }


    }

    
    
}
